# Interface RemoteSampleListener

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `RemoteSampleListenerImpl`

public interface RemoteSampleListener extends Remote
Allows notification on events occurring during the sampling process. Specifically, when sampling is started, when a specific sample is obtained, and when sampling is stopped.

Version:
  $Revision: 1649775 $

## Method Summary

Modifier and Type
Method
Description
`void`
`processBatch(List<SampleEvent> samples)`
This method is called remotely and fires a list of samples events received locally.
`void`
`sampleOccurred(SampleEvent e)`
A sample has started and stopped.
`void`
`sampleStarted(SampleEvent e)`
A sample has started.
`void`
`sampleStopped(SampleEvent e)`
A sample has stopped.
`void`
`testEnded()`
`void`
`testEnded(String host)`
`void`
`testStarted()`
`void`
`testStarted(String host)`

## Method Details

### testStarted

void testStarted() throws RemoteException

Throws:
  `RemoteException`

### testStarted

void testStarted(String host) throws RemoteException

Throws:
  `RemoteException`

### testEnded

void testEnded() throws RemoteException

Throws:
  `RemoteException`

### testEnded

void testEnded(String host) throws RemoteException

Throws:
  `RemoteException`

### processBatch

void processBatch(List<SampleEvent> samples) throws RemoteException
This method is called remotely and fires a list of samples events received locally. The function is to reduce network load when using remote testing.

Parameters:
  `samples` - the list of sample events to be fired locally.
Throws:
  `RemoteException` - when calling the remote method fails

### sampleOccurred

void sampleOccurred(SampleEvent e) throws RemoteException
A sample has started and stopped.

Parameters:
  `e` - the event with data about the completed sample
Throws:
  `RemoteException` - when calling the remote method fails

### sampleStarted

void sampleStarted(SampleEvent e) throws RemoteException
A sample has started.

Parameters:
  `e` - the event with data about the started sample
Throws:
  `RemoteException` - when calling the remote method fails

### sampleStopped

void sampleStopped(SampleEvent e) throws RemoteException
A sample has stopped.

Parameters:
  `e` - the event with data about the stopped sample
Throws:
  `RemoteException` - when calling the remote method fails